
program FGS

!     Furukawa Gabinet Simulator

!     Versão original 1.0 (Dez 97)

!     Versão atual    2.0 (Jul 98)


!     última alteração  =  8 Jan 99   *** GAMA4 ***


! ARQUIVOS envolvidos no programa:

!   FONTES
!     fgs.f90   = programa principal
!     caixas.f90
!     calculo.f90 
!     varia.f90
!     input.f90
!     vargas.f90
!     ludcmp.f
!     lubksb.f
!     mesh.f
!     ode.f
!     rk.f
!     spline.f
!     splint.f
!     sys.f

!   VISUAL: caixas de diálogo
!     script1.rc
!     resource.fd
!     resource.h
!     script.aps

!   EXECUTÁVEIS
!     gama3.exe = FGS
!     itera.exe
!     notepad.exe
!     wgnuplot.exe

!   ÍCONES
!     dialog.ico
!     filha.ico
!     frame.ico
!     icon1.ico

!   DADOS
!     inpwater
!     "dados".man
!     "dados".geo
!     "dados".txt
!     "dados".bin

!   SAÍDA
!     "saida".txt
!     "saida".bin
!     t.bin
!     itera

!   ARQUIVOS DE COMANDOS PARA GERAÇÃO DE GRÁFICOS
!     tsai.gnu
!     umid.gnu
!     malha3d.gnu
!     x_cte_t.gnu
!     x_cte_t3.gnu
!     x_cte_w.gnu
!     x_cte_w3.gnu
!     x_cte_m.gnu
!     y_cte_t.gnu
!     y_cte_t3.gnu
!     y_cte_w.gnu
!     y_cte_w3.gnu
!     y_cte_m.gnu
!     z_cte_t.gnu
!     z_cte_t3.gnu
!     z_cte_w.gnu
!     z_cte_w3.gnu
!     z_cte_m.gnu

!   ARQUIVOS TEMPORÁRIOS DE DADOS PARA GERAÇÃO DE GRÁFICOS
!     tar.dat
!     teq.dat
!     thp.dat
!     tpar.dat
!     umid.dat
!     malha3d.dat
!     x_cte_t.dat
!     x_cte_w.dat
!     x_cte_m.dat
!     y_cte_t.dat
!     y_cte_w.dat
!     y_cte_m.dat
!     z_cte_t.dat
!     z_cte_w.dat
!     z_cte_m.dat


!--------------------------------------------------------


use DIALOGOS

use msfwin

integer*4 fim

interface
  logical(4) function initialsettings
  end function
end interface

logical name

name = setwindowtext(gethwndqq(qwin$framewindow), &
       "FGS - FURUKAWA Gabinet Simulator"C)

fora = systemqq('itera')

sig = 5.669d-8
 
nto = 1
nlx = 1
nly = 1
nlz = 1

nto_a = nto
nlx_a = nlx
nly_a = nly
nlz_a = nlz

  allocate ( xl(nto,8,3), xm(nto,3) )
  allocate ( tp(nto),       t0(nto),     hum(nto),     rkeqp(nto), &
             rhoeqp(nto),   ceqp(nto),   qgeqp(nto),   atc(nto),   &
             rhofin_i(nto),	cfin_i(nto), rkfin_i(nto), efin_i(nto) )
  allocate ( ifhp(nto), itypel(nto), nfin_i(nto), ihp_i(nto) )
  allocate ( dx(nlx), dy(nly), dz(nlz) )

call menu

fim = setexitqq(qwin$exitnopersist)

end



logical(4) function initialsettings()

  use msflib

  record /qwinfo/ qwi
  qwi.x = 100
  qwi.y =  20
  qwi.w = 600         ! 400  600
  qwi.h = 400         ! 200  400
  qwi.type = qwin$set
  i4 = setwsizeqq(qwin$framewindow,qwi)
  qwi.type = qwin$min
  i4 = setwsizeqq(qwin$framewindow,qwi)

  initialsettings = .true.

end function initialsettings

